version: '2'

volumes:
  postgres_data: {}
  postgres_backup: {}

services:
  postgres:
    build: ./compose/postgres
    volumes:
      - postgres_data:/var/lib/postgresql/data
      - postgres_backup:/backups
    env_file: .env
    ports:
      - "5432:5432"

  django:
    build:
      context: .
      dockerfile: ./compose/django/Dockerfile
    depends_on:
      - postgres
      - redis
    command: /gunicorn.sh
    env_file: .env

  nginx:
    build: ./compose/nginx
    depends_on:
      - django
    ports:
      - "0.0.0.0:80:80"


  redis:
    image: redis:3.0

  celeryworker:
    build:
      context: .
      dockerfile: ./compose/django/Dockerfile
    env_file: .env
    depends_on:
     - postgres
     - redis
    command: celery -A cooke_dchq_project.taskapp worker -l INFO

  celerybeat:
    build:
      context: .
      dockerfile: ./compose/django/Dockerfile
    env_file: .env
    depends_on:
      - postgres
      - redis
    command: celery -A cooke_dchq_project.taskapp beat -l INFO

